﻿using System;
using System.IO;
using System.Windows.Forms;

namespace SatIp.Guide
{
    public partial class SelectSourceDialog : Form
    {
        
        private Uri _uri;
        
        public SelectSourceDialog()
        {
            InitializeComponent();
        }       

        public Uri Uri
        {
            get { return _uri; }
            set { _uri = value; }
        }        
        
        private void tbAddress_TextChanged(object sender, EventArgs e)
        {
            btnOk.Enabled = true;
        }

        private void btnOk_Click(object sender, EventArgs e)
        {            
            _uri = new Uri(tbAddress.Text);                   
            DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }       
         
    }
}
